<?php
$title->SetTitle('Маркет - Покупка товара');
///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Маркет - Покупка товара</h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/market" rel="v:url" property="v:title">Маркет</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Покупка товара</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/market"><i class="md-format-list-bulleted"></i> Маркет</a> - Покупка товара</div>';

$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$file = DB::$dbs->queryFetch("SELECT * FROM `magazin_file` WHERE `id` = ? LIMIT 1", [$id]);
if ($file['user_id']==$b['id']){
header('location:/');
exit;
}
if ($file['block_file'] == 1){
header('location:/');
exit;
}

switch($act){
default:
echo '<div class="row text_box">Вы действительно собираетесь покупать данный товар?<br/><a href="/market/buy/da/'.$id.'">Да</a> | <a href="/market/file/'.$id.'">Нет</a></div>';
break;
case 'da':
if ($file['price']<=0){
header('Location:/');
exit;
}
if ($file['kopii']!=0 && $file['kopii']<=$file['prodano']) {
echo '<div class="error"><b>Все копии проданы</b></div>';
echo '<ul class="nav nav-pills nav-stacked"><li><a href="/market/file/'.$id.'"><i class="md-apps"></i> Вернуться к файлу</a></ul>';
///Подключаем футер
$title->GetFooter();
exit;
}
if ($file['price']>$b['rur']) {
echo '<div class="error"><b>Недостаточно средств!</b></div>';
echo '<ul class="nav nav-pills nav-stacked"><li><a href="/market/file/'.$id.'"><i class="md-apps"></i> Вернуться к файлу</a></ul>';
///Подключаем футер
$title->GetFooter();
exit;
}
// Покупка товара
DB::$dbs->query("INSERT INTO `magazin_mybuy` SET `file` = ?,`user_id` = ?,`user_buyid` = ?,`time` = ?", [$id,$b['id'],$file['user_id'],time()]);

DB::$dbs->query("INSERT INTO `magazin_myout` SET `file` = ?,`user_id` = ?,`time` = ?,`user_buyid` = ?", [$id,$file['user_id'],time(),$b['id']]);

$rurm = $b['rur']-$file['price'];
DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` - ? WHERE `id` = ?",[$file['price'],$b['id']]);

DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` + ? WHERE `id` = ?",[$file['price'],$file['user_id']]);

DB::$dbs->query("UPDATE `magazin_file` SET `prodano` = `prodano` + ? WHERE `id` = ?", [1,$id]);
if ($file['kopii']!=0 && $file['kopii']<=($file['prodano']+1)){
$msge2 = ' Продана последняя копия товара! Вам необходимо удалить ваш товар из магазина или увеличить количество копий доступных для продажи.';
}
/* запись в оповещения */
$msge = 'Пользователь [b]'.$b['nick'].'[/b] купил копию вашего товара [url=http://'.$_SERVER['HTTP_HOST'].'/market/file/'.$file['id'].']'.$file['name'].'[/url]. Желаем вам удачных продаж!'.$msge2;
jurnal($file['user_id'],$msge,5);
echo '<div class="row text_box">Товар куплен успешно! C вашего счета списано <b>'.$file['price'].' p.</b><br /><a href="/market/buy/load/'.$id.'">Скачать файл</a></div>';
break;
case 'load':
if (DB::$dbs->querySingle("SELECT count(id) FROM `magazin_mybuy` WHERE user_id = ? AND `file` = ?", [$b['id'],$id]) == 0) {
Header('Location: /');
exit;
} else {
header('location: /files/mag_file/'.$file['file']);
die();
}
break;
}
echo '<ul class="nav nav-pills nav-stacked"><li><a href="/market/file/'.$id.'"><i class="md-apps"></i> Вернуться к файлу</a></ul>';
?>